export class ClientConnection extends events.EventEmitter {
    constructor(serverAddress: any, identity: any, authToken: any);
    _serverAddress: any;
    _identity: any;
    _authToken: any;
    _closeOk: boolean;
    _outgoingBuffer: any[];
    _ratelimitTimer: Date | null;
    _retryAttempts: number;
    isClient: boolean;
    isServer: boolean;
    _onConnectionLost(): void;
    _socket: any;
    _onConnected(socket: any): Promise<boolean>;
    open(): any;
    close(): Promise<void>;
    send(msg: any): void;
    sendMany(buffer: any): void;
}
export class ServerConnection extends events.EventEmitter {
    constructor(platform: any);
    _connections: {};
    _platform: any;
    isClient: boolean;
    isServer: boolean;
    isConnected(remote: any): boolean;
    _findConnection(socket: any): any;
    _handleConnection(socket: any): void;
    open(): Promise<boolean>;
    close(): Promise<any[]>;
    closeOne(identity: any): Promise<any>;
    _sendTo(msg: any, to: any): void;
    send(msg: any, to: any): void;
    sendMany(buffer: any, to: any): void;
}
import * as events from "events";
